Create a folder

POST
https://api.datawrapper.de/v3/folders

Requires scope folder:write.

Example Request

curl --request POST \
  --url https://api.datawrapper.de/v3/folders \
  --header 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  --header 'Content-Type: application/json' \
  --data '{
  "workspace": "my-workspace",
  "name": "string"
}'

Headers

NameValueRequiredDescription
Content-Typeapplication/jsonYesThe format of the request body.

Request Body

FieldTypeAllowed valuesRequiredDescription
organizationIdstring NoDEPRECATED: use teamId instead.
teamIdstring NoThe team that the folder belongs to. If teamId is null, the folder will belong to the user directly.
workspacestring NoSlug of the workspace that the folder should be created in. The authenticated user must have access to this workspace.
parentIdnumber NoThe parent folder that the folder belongs to.
namestring
128 characters or less
YesThe name of the folder.